#pragma once

#if PLATFORM_ANDROID
#include "Android/AndroidJNI.h"
#include "Android/AndroidApplication.h"
#include <android_native_app_glue.h>
#endif

class FAndroidGateway 
{
public:

	bool IsPermissionRecordAudioGranted();
	void AskPermissionRecordAudio();

private:
	FString m_RecordPermission = TEXT("android.permission.RECORD_AUDIO");
};
